org.eclipse.viatra.query.runtime.rete.matcher

## Enum TimelyConfiguration.TimelineRepresentation

- java.lang.Object
- - java.lang.Enum<TimelyConfiguration.TimelineRepresentation>
  - - org.eclipse.viatra.query.runtime.rete.matcher.TimelyConfiguration.TimelineRepresentation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TimelyConfiguration.TimelineRepresentation>
  Enclosing class:
    TimelyConfiguration

      public static enum TimelyConfiguration.TimelineRepresentation
      extends java.lang.Enum<TimelyConfiguration.TimelineRepresentation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAITHFUL` Complete timeline (series of appearance & disappearance) is maintained per tuple.
    `FIRST_ONLY` Only the first moment (timestamp) of appearance is maintained per tuple.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimelyConfiguration.TimelineRepresentation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimelyConfiguration.TimelineRepresentation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST_ONLY

          public static final TimelyConfiguration.TimelineRepresentation FIRST_ONLY

      Only the first moment (timestamp) of appearance is maintained per tuple.

    - #### FAITHFUL

          public static final TimelyConfiguration.TimelineRepresentation FAITHFUL

      Complete timeline (series of appearance & disappearance) is maintained per tuple.

  - ### Method Detail

    - #### values

          public static TimelyConfiguration.TimelineRepresentation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimelyConfiguration.TimelineRepresentation c : TimelyConfiguration.TimelineRepresentation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimelyConfiguration.TimelineRepresentation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null